# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "rncher/version"

Gem::Specification.new do |spec|
  spec.name          = "rncher"
  spec.version       = Rncher::VERSION
  spec.authors       = ["sandsu"]
  spec.email         = ["sanderson@digaeita.com.br"]

  spec.summary       = "summary"
  spec.description   = "description"
  spec.homepage      = "https://digaeita.com.br"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables << 'rncher'
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_runtime_dependency 'rest-client', '2.0.2'
  spec.add_runtime_dependency 'thor', '0.20.0'
  spec.add_runtime_dependency 'activesupport', '5.1.3'
  spec.add_runtime_dependency 'faye-websocket', '0.10.7'
  spec.add_runtime_dependency 'tty-table', '0.8.0'
  spec.add_runtime_dependency 'activeresource', '5.0.0'
  spec.add_runtime_dependency 'pastel', '0.7.1'
end
